OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_DispPerFiles Class Reference

A DispPerFiles produces a determined count of Packets from the
input Entities. It divides, as equally as possible, the input
list into a count of files. This count is the parameter of the
DispPerFiles. If the input list has less than this count, of
course there will be one packet per input entity.
This count is a Parameter of the DispPerFiles, given as an
IntParam, thus allowing external control of its Value
.

`#include <IFSelect_DispPerFiles.hxx>`

Inheritance diagram for IFSelect_DispPerFiles:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_DispPerFiles ()
| Creates a DispPerFiles with no Count (default value 1 file) .
Standard_EXPORT Handle_IFSelect_IntParam | Count () const
| Returns the Count Parameter used for splitting .
Standard_EXPORT void | SetCount (const Handle(IFSelect_IntParam)&count)
| Sets a new Parameter for Count .
Standard_EXPORT Standard_Integer | CountValue () const
| Returns the effective value of the count parameter (if Count Parameter not Set or value not positive, returns 1) .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns as Label, "Maximum <count> Files" .
virtual Standard_EXPORT Standard_Boolean | LimitedMax (const Standard_Integer nbent, Standard_Integer &max) const
| Returns True, maximum count is given as CountValue .
virtual Standard_EXPORT Standard_Boolean | PacketsCount (const Interface_Graph &G, Standard_Integer &count) const
| Returns True (count is easy to know) and count is the minimum value between length of input list and CountValue .
Standard_EXPORT void | Packets (const Interface_Graph &G, IFGraph_SubPartsIterator &packs) const
| Computes the list of produced Packets. It defines Packets in order to have <count> Packets, except if the input count of Entities is lower. Entities are given by RootResult from the Final Selection. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IFSelect_IntParam | thecount

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_DispPerFiles::IFSelect_DispPerFiles | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IFSelect_IntParam IFSelect_DispPerFiles::Count | ( |  | ) | const

Standard_EXPORT Standard_Integer IFSelect_DispPerFiles::CountValue | ( |  | ) | const

Standard_EXPORT const IFSelect_DispPerFiles::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Dispatch.

Standard_EXPORT TCollection_AsciiString IFSelect_DispPerFiles::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Dispatch.

virtual Standard_EXPORT Standard_Boolean IFSelect_DispPerFiles::LimitedMax | ( | const Standard_Integer | nbent,
|  | Standard_Integer & | max
| ) | const`[virtual]`

| Reimplemented from IFSelect_Dispatch.

Standard_EXPORT void IFSelect_DispPerFiles::Packets | ( | const Interface_Graph & | G,
|  | IFGraph_SubPartsIterator & | packs
| ) | const`[virtual]`

| Implements IFSelect_Dispatch.

virtual Standard_EXPORT Standard_Boolean IFSelect_DispPerFiles::PacketsCount | ( | const Interface_Graph & | G,
|  | Standard_Integer & | count
| ) | const`[virtual]`

| Reimplemented from IFSelect_Dispatch.

Standard_EXPORT void IFSelect_DispPerFiles::SetCount | ( | const Handle(IFSelect_IntParam)& | count | ) |

## Field Documentation

Handle_IFSelect_IntParam IFSelect_DispPerFiles::thecount`[private]`

The documentation for this class was generated from the following file:

- IFSelect_DispPerFiles.hxx